Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorC.cpp File Reference

`#include "ImR_LocatorC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "ImR_LocatorC.i"`

Include dependency graph for ImR_LocatorC.cpp:

## Compounds
class | TAO_ClientRequestInfo_ImplementationRepository_Locator_register_activator
class | TAO_ClientRequestInfo_ImplementationRepository_Locator_remove_server_in_location
class | TAO_ClientRequestInfo_ImplementationRepository_Locator_server_is_shutting_down_in_location
class | TAO_ClientRequestInfo_ImplementationRepository_Locator_shutdown_server_in_location
class | TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator
## Functions
ImplementationRepository::Locator_ptr | tao_ImplementationRepository_Locator_duplicate (ImplementationRepository::Locator_ptr p)
void | tao_ImplementationRepository_Locator_release (ImplementationRepository::Locator_ptr p)
ImplementationRepository::Locator_ptr | tao_ImplementationRepository_Locator_nil (void)
ImplementationRepository::Locator_ptr | tao_ImplementationRepository_Locator_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_ImplementationRepository_Locator_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Locator (CORBA::tk_objref, sizeof(_oc_ImplementationRepository_Locator),(char *)&_oc_ImplementationRepository_Locator, 0, sizeof(ImplementationRepository::Locator))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(ImplementationRepository) TAO_NAMESPACE_DEFINE(
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Locator_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Locator_ptr &_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Locator_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::Locator_ptr &_tao_objref)
## Variables
ImplementationRepository::_TAO_Locator_Proxy_Broker *(* | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_ImplementationRepository_Locator []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Locator | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_ImplementationRepository_Locator) | ,
|  | (char *)& | _oc_ImplementationRepository_Locator,
|  | 0 | ,
|  | sizeof(ImplementationRepository::Locator) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Locator_ptr | _tao_objref
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr * | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Locator_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr & | _tao_elem
| ) |

ImplementationRepository::Locator_ptr tao_ImplementationRepository_Locator_duplicate | ( | ImplementationRepository::Locator_ptr | p | ) |

ImplementationRepository::Locator_ptr tao_ImplementationRepository_Locator_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

ImplementationRepository::Locator_ptr tao_ImplementationRepository_Locator_nil | ( | void |  | ) |

void tao_ImplementationRepository_Locator_release | ( | ImplementationRepository::Locator_ptr | p | ) |

CORBA::Object* tao_ImplementationRepository_Locator_upcast | ( | void * | src | ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_ImplementationRepository_Locator[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f4c6f63),
      ACE_NTOHL (0x61746f72),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      8,
      ACE_NTOHL (0x4c6f6361),
      ACE_NTOHL (0x746f7200),
    }

ImplementationRepository::_TAO_Locator_Proxy_Broker*(* ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0